Bug 1763147 - Review Request: golang-github-creack-goselect - Select(2) implementation in Go
Summary: Review Request: golang-github-creack-goselect - Select(2) implementation in Go
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1763145 1778549 1799434
TreeView+ depends on / blocked
 
Reported: 2019-10-18 10:49 UTC by Elliott Sales de Andrade
Modified: 2020-02-19 01:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-19 01:28:14 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-10-18 10:49:58 UTC
Spec URL: https://qulogic.fedorapeople.org//golang-github-creack-goselect.spec
SRPM URL: https://qulogic.fedorapeople.org//golang-github-creack-goselect-0.1.0-1.fc30.src.rpm

Description:
b'\nSelect(2) implementation in Go.\n\n%gopkg'

Comment 1 Elliott Sales de Andrade 2019-10-18 10:50:00 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=38363525

Comment 2 Lubomir Rintel 2019-11-08 19:47:58 UTC
* Package named correctly
* Packaging the latest version
* License text included
* License okay for Fedora
* Builds fine in mock
* SPEC file clean and concise
* rpmlint reasonably happy

1.) The license is not clear

There doesn't seem to be any word in documentation or source files about how they are licensed. The MIT license file is just there, with no indication about how is it relevant.

Please ask upstream to clarify this, preferrably by including a comment in the source files about how are they licensed.

Comment 3 Elliott Sales de Andrade 2019-11-09 04:25:00 UTC
That's only a recommendation of the FSF for GPL. It's not required to annotate all source files, and just take a look at the instructions on the sidebar for choose a license, for example: https://choosealicense.com/licenses/mit/
tldr legal: https://tldrlegal.com/license/mit-license "You must include the license notice in all copies or substantial uses of the work."
or this SE answer: https://opensource.stackexchange.com/questions/4534/how-to-apply-mit-license-in-the-github-repo-for-fully-free-project "No, a license header is not necessary, at least for MIT and the Unlicense. Some other licenses encourage you to add such a header but that is not the case of these two."

Comment 4 Lubomir Rintel 2019-11-09 09:12:42 UTC
Thanks for the response.

(In reply to Elliott Sales de Andrade from comment #3)
> That's only a recommendation of the FSF for GPL. It's not required to
> annotate all source files, and just take a look at the instructions on the
> sidebar for choose a license, for example:
> https://choosealicense.com/licenses/mit/
> tldr legal: https://tldrlegal.com/license/mit-license "You must include the
> license notice in all copies or substantial uses of the work."
> or this SE answer:
> https://opensource.stackexchange.com/questions/4534/how-to-apply-mit-license-
> in-the-github-repo-for-fully-free-project "No, a license header is not
> necessary, at least for MIT and the Unlicense. Some other licenses encourage
> you to add such a header but that is not the case of these two."

None of the above is what I'm talking about, or relevant at all.

What is missing here is any indication by whoever owns the copyright that the LICENSE file that is shipped applies to the source files in the tarball.

>> Please ask upstream to clarify this, preferrably by including a comment in the source files about how are they licensed.

If this was unclear, please let me rephrase this:

Upstream needs to clarify this somehow, because it's not clear at the moment.
The best way to do this is to add a comment in the actual source files.
If there's any reason upstream has to object this, they could do something else, such as adding a statement in the README file.

There's might be a chance that "this software" in the MIT license text could be understood as referring to whatever is in the same directory or tarball, but I don't know whether that's universally understood and would prefer a clarification to guessing.

I'm adding a FE-LEGAL blocker, to give the legal a chance to chime in about this, but I believe it would be much easier if you just asked upstream to clear up how is the software licensed.

Also, one more nit here:

2.) Please add BuildRequires: go-rpm-macros

You're using the macros from the package.

Comment 5 Elliott Sales de Andrade 2019-11-26 00:38:54 UTC
Upstream added a note in the readme.

Spec URL: https://qulogic.fedorapeople.org//golang-github-creack-goselect.spec
SRPM URL: https://qulogic.fedorapeople.org//golang-github-creack-goselect-0.1.1-1.fc30.src.rpm

> 2.) Please add BuildRequires: go-rpm-macros
>
> You're using the macros from the package.

Not necessary; it's added by %gometa:
https://docs.fedoraproject.org/en-US/packaging-guidelines/Golang/#_dependencies

Comment 6 Elliott Sales de Andrade 2019-12-14 03:30:01 UTC
So is there anything left to do now?

Comment 7 Elliott Sales de Andrade 2020-02-09 18:55:26 UTC
Unassigning as per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 8 Robert-André Mauchin 🐧 2020-02-10 02:41:17 UTC
I need this to fix the FTBFS of golang-bug-serial-1.

 - License ok
 - Latest version packaged
 - Builds in mock
 - Tests ok
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 9 Gwyn Ciesla 2020-02-10 14:31:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-creack-goselect

Comment 10 Fedora Update System 2020-02-10 23:26:09 UTC
FEDORA-2020-4ea6922f20 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4ea6922f20

Comment 11 Fedora Update System 2020-02-10 23:50:29 UTC
FEDORA-2020-0d24924e33 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0d24924e33

Comment 12 Fedora Update System 2020-02-11 01:10:48 UTC
golang-github-creack-goselect-0.1.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4ea6922f20

Comment 13 Fedora Update System 2020-02-11 01:24:50 UTC
golang-github-creack-goselect-0.1.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0d24924e33

Comment 14 Fedora Update System 2020-02-19 01:28:14 UTC
golang-github-creack-goselect-0.1.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-02-19 01:53:25 UTC
golang-github-creack-goselect-0.1.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.